#!/usr/bin/env python
# coding=utf-8
"""
Copyright © Huawei Technologies Co., Ltd. 2001-2019. All rights reserved.
description     :   list gcomc global status
modify  record  :   2016-01-12 create file
"""

MACRO_GCOMC_FSM_L2_FSM_BG_X_SRCH_G_INDEX           = 0x01
MACRO_GCOMC_FSM_L2_FSM_BG_G_SRCH_G_INDEX           = 0x02
MACRO_GCOMC_FSM_L2_FSM_BG_G_SRCH_W_INDEX           = 0x03
MACRO_GCOMC_FSM_L2_FSM_BG_G_SRCH_L_INDEX           = 0x04
MACRO_GCOMC_FSM_L2_FSM_BG_PLMN_LIST_INDEX          = 0x05
MACRO_GCOMC_FSM_L2_FSM_REDIR_L2G_INDEX             = 0x06
MACRO_GCOMC_FSM_L2_FSM_REDIR_G2L_INDEX             = 0x07
MACRO_GCOMC_FSM_L2_FSM_PWR_OFF_INDEX               = 0x08
MACRO_GCOMC_FSM_L2_FSM_SYS_CFG_INDEX               = 0x09
MACRO_GCOMC_FSM_L2_FSM_NAS_SUSPEND_INDEX           = 0x0A
MACRO_GCOMC_FSM_L2_FSM_RESEL_G2L_INDEX             = 0x0B
MACRO_GCOMC_FSM_L2_FSM_RESEL_L2G_INDEX             = 0x0C
MACRO_GCOMC_FSM_L2_FSM_CCO_G2L_INDEX               = 0x0D
MACRO_GCOMC_FSM_L2_FSM_CCO_L2G_INDEX               = 0x0E
MACRO_GCOMC_FSM_L2_FSM_RESEL_G2T_INDEX             = 0x0F
MACRO_GCOMC_FSM_L2_FSM_RESEL_T2G_INDEX             = 0x10
MACRO_GCOMC_FSM_L2_FSM_SLAVE_MODE_CTRL_INDEX       = 0x11
MACRO_GCOMC_FSM_L2_FSM_CCO_G2T_INDEX               = 0x12
MACRO_GCOMC_FSM_L2_FSM_CCO_T2G_INDEX               = 0x13
MACRO_GCOMC_FSM_L2_FSM_RESEL_G2W_INDEX             = 0x14
MACRO_GCOMC_FSM_L2_FSM_CCO_G2W_INDEX               = 0x15
MACRO_GCOMC_FSM_L2_FSM_SLAVE_MODE_LOW_PWR_INDEX    = 0x16
MACRO_GCOMC_FSM_L2_FSM_ANR_INDEX                   = 0x17
MACRO_GCOMC_FSM_L2_FSM_REDIR_G2T_INDEX             = 0x18
MACRO_GCOMC_FSM_L2_FSM_UTRAN_MODE_INDEX            = 0x19
MACRO_GCOMC_FSM_L2_FSM_G_NETSCAN_G_INDEX           = 0x1A
MACRO_GCOMC_FSM_L2_FSM_G_NETSCAN_W_INDEX           = 0x1B
MACRO_GCOMC_FSM_L2_FSM_W_NETSCAN_G_INDEX           = 0x1C
MACRO_GCOMC_FSM_L2_FSM_PLMN_LIST_INDEX             = 0x1D
MACRO_GCOMC_FSM_L2_FSM_PLMN_SPEC_SRCH_INDEX        = 0x1E
MACRO_GCOMC_FSM_L2_FSM_GOOG_SRCH_INDEX             = 0x1F
MACRO_GCOMC_FSM_L2_FSM_REDIR_G2W_INDEX             = 0x20
MACRO_GCOMC_FSM_L2_FSM_REDIR_G2G_INDEX             = 0x21
MACRO_GCOMC_FSM_L2_FSM_WOOS_SRCH_INDEX             = 0x22
MACRO_GCOMC_FSM_L2_FSM_REDIR_W2G_INDEX             = 0x23
MACRO_GCOMC_FSM_L2_FSM_CCO_W2G_INDEX               = 0x24
MACRO_GCOMC_FSM_L2_FSM_RESEL_W2G_INDEX             = 0x25
MACRO_GCOMC_FSM_L2_FSM_PLMN_GET_GEO_SRCH_INDEX     = 0x26
MACRO_GCOMC_FSM_L2_FSM_RESEL_G2G_INDEX             = 0x27
MACRO_GCOMC_FSM_L2_FSM_BUTT_INDEX_INDEX            = 0x28

MACRO_GCOMC_FSM_L2_STATE_INIT_INDEX                = 0xfe
MACRO_GCOMC_FSM_L2_STATE_NULL_INDEX                = 0xff

gas_gcomc_l1_state_enum_table = {
0x00 : "GAS_GCOMC_STATE_INACTIVE",
0x02 : "GAS_GCOMC_STATE_NORMAL_CAMPING",
0x03 : "GAS_GCOMC_STATE_CCN_MODE",
0x05 : "GAS_GCOMC_STATE_CELL_RESEL_WAITING_FOR_CELL_INFO",
0x08 : "GAS_GCOMC_STATE_LOST_COVERAGE",
0x0f : "GAS_GCOMC_STATE_NORMAL_RR_DEDICATION",
0x10 : "GAS_GCOMC_STATE_LIMITED_SERVICE_RR_DEDICATION",
0x33 : "GAS_GCOMC_STATE_CELL_RESEL_SUBSTATE_RESEL_GSM",
0x3A : "GAS_GCOMC_STATE_CELL_RESEL_SUBSTATE_WAITING_ACQU_NEEDED",
0x3D : "GAS_GCOMC_STATE_TRYING_CAMPING_SUBSTATE_NORMAL",
0x3E : "GAS_GCOMC_STATE_TRYING_CAMPING_SUBSTATE_RETURN",
0x40 : "GAS_GCOMC_STATE_TRYING_CAMPING_SUBSTATE_HANDOVER_TO_IDLE",
0x41 : "GAS_GCOMC_STATE_TRYING_CAMPING_SUBSTATE_LIMITDSERVICE_HO_TO_IDLE",
0x47 : "GAS_GCOMC_STATE_LIMITED_SERVICE_SUBSTATE_NORMAL_CAMPING",
0x48 : "GAS_GCOMC_STATE_LIMITED_SERVICE_SUBSTATE_CELL_RESEL",
0x49 : "GAS_GCOMC_STATE_LIMITED_SERVICE_SUBSTATE_TRYING_CAMPING",
0x50 : "GAS_GCOMC_STATE_LIMITED_SERVICE_SUBSTATE_TRYING_CAMPING_RETURN",
0x65 : "GAS_GCOMC_STATE_NETWORK_LOST_STOP_BG_SEARCH",
0x66 : "GAS_GCOMC_STATE_CELL_RESEL_SUBSTATE_RESEL_UTRAN_STOP_BG_SEARCH",
0x67 : "GAS_GCOMC_STATE_INTERRAT_RESEL",
0x68 : "GAS_GCOMC_STATE_LIMITED_SERVICE_INTERRAT_RESEL",
0x69 : "GAS_GCOMC_STATE_REDIRECTED",
0x6A : "GAS_GCOMC_STATE_LIMITED_SERVICE_REDIRECTED",
0x6B : "GAS_GCOMC_STATE_GOING_INACTIVE",
0x6C : "GAS_GCOMC_STATE_PLMN_SEARCH_BEFOR_OOS_STOP_BG_SEARCH",
0x6D : "GAS_GCOMC_STATE_CELL_SELECTION",
}

gas_gcomc_l2_fsm_enum_table = {
0x01 : "GAS_GCOMC_FSM_BG_X_SEARCH_G",
0x02 : "GAS_GCOMC_FSM_BG_G_SEARCH_G",
0x03 : "GAS_GCOMC_FSM_BG_G_SEARCH_W",
0x04 : "GAS_GCOMC_FSM_BG_G_SEARCH_L",
0x05 : "GAS_GCOMC_FSM_BG_PLMN_LIST",
0x06 : "GAS_GCOMC_FSM_REDIR_L2G",
0x07 : "GAS_GCOMC_FSM_REDIR_G2L",
0x08 : "GAS_GCOMC_FSM_POWER_OFF",
0x09 : "GAS_GCOMC_FSM_SYS_CFG",
0x0A : "GAS_GCOMC_FSM_NAS_SUSPEND",
0x0B : "GAS_GCOMC_FSM_RESEL_G2L",
0x0C : "GAS_GCOMC_FSM_RESEL_L2G",
0x0D : "GAS_GCOMC_FSM_CCO_G2L",
0x0E : "GAS_GCOMC_FSM_CCO_L2G",
0x0F : "GAS_GCOMC_FSM_RESEL_G2T",
0x10 : "GAS_GCOMC_FSM_RESEL_T2G",
0x11 : "GAS_GCOMC_FSM_MODE_CTRL",
0x12 : "GAS_GCOMC_FSM_CCO_G2T",
0x13 : "GAS_GCOMC_FSM_CCO_T2G",
0x14 : "GAS_GCOMC_FSM_RESEL_G2W",
0x15 : "GAS_GCOMC_FSM_CCO_G2W",
0x16 : "GAS_GCOMC_FSM_SLAVE_MODE_LOW_POWER",
0x17 : "GAS_GCOMC_FSM_L2G_ANR",
0x18 : "GAS_GCOMC_FSM_REDIR_G2T",
0x19 : "GAS_GCOMC_FSM_UTRAN_MODE",
0x1A : "GAS_GCOMC_FSM_G_NET_SCAN_G",
0x1B : "GAS_GCOMC_FSM_G_NET_SCAN_W",
0x1C : "GAS_GCOMC_FSM_W_NET_SCAN_G",
0x1D : "GAS_GCOMC_FSM_PLMN_LIST_SEARCH",
0x1E : "GAS_GCOMC_FSM_PLMN_SPEC_SEARCH",
0x1F : "GAS_GCOMC_FSM_G_OOS_SEARCH",
0x20 : "GAS_GCOMC_FSM_REDIR_G2W",
0x21 : "GAS_GCOMC_FSM_REDIR_G2G",
0x22 : "GAS_GCOMC_FSM_W_OOS_SEARCH",
0x23 : "GAS_GCOMC_FSM_REDIR_W2G",
0x24 : "GAS_GCOMC_FSM_CCO_W2G",
0x25 : "GAS_GCOMC_FSM_RESEL_W2G",
0x26 : "GAS_GCOMC_FSM_GET_GEO_SEARCH",
0x27 : "GAS_GCOMC_FSM_RESEL_G2G",
0x28 : "GAS_GCOMC_FSM_BUTT",
}

gas_gcomc_l2_bg_g_srch_g_state_enum_table = {
0x41 : "GAS_GCOMC_L2_STATE_BG_G_SEARCH_G_FREQ_MEAS",
0x42 : "GAS_GCOMC_L2_STATE_BG_G_SEARCH_G_BCCH_READING",
0x43 : "GAS_GCOMC_L2_STATE_BG_G_SEARCH_G_STOPPING",
0x44 : "GAS_GCOMC_L2_STATE_BG_G_SEARCH_G_SUSPENDING",
0x45 : "GAS_GCOMC_L2_STATE_BG_G_SEARCH_G_STOP_FREQ_MEAS",
0x46 : "GAS_GCOMC_L2_STATE_BG_G_SEARCH_G_BUTT",
}

gas_gcomc_l2_bg_g_srch_w_state_enum_table = {
0x0 : "GAS_GCOMC_L2_STATE_BG_G_SEARCH_W_WAIT_WRRC_START_CNF",
0x1 : "GAS_GCOMC_L2_STATE_BG_G_SEARCH_W_WAIT_GPHY_START_CNF",
0x2 : "GAS_GCOMC_L2_STATE_BG_G_SEARCH_W_WAIT_WRRC_SEARCH_IND",
0x3 : "GAS_GCOMC_L2_STATE_BG_G_SEARCH_W_WAIT_GPHY_STOP_CNF",
0x4 : "GAS_GCOMC_L2_STATE_BG_G_SEARCH_W_WAIT_WRRC_STOP_CNF",
0x5 : "GAS_GCOMC_L2_STATE_BG_G_SEARCH_W_WAIT_GPHY_SUSPEND_CNF",
0x6 : "GAS_GCOMC_L2_STATE_BG_G_SEARCH_W_WAIT_WRRC_SUSPEND_CNF",
0x7 : "GAS_GCOMC_L2_STATE_BG_G_SEARCH_W_RESUMING",
0x8 : "GAS_GCOMC_L2_STATE_BG_G_SEARCH_W_BUTT",
}

gas_gcomc_l2_bg_g_srch_l_state_enum_table = {
0x0 : "GAS_GCOMC_L2_STATE_BG_G_SEARCH_L_WAIT_LRRC_START_CNF",
0x1 : "GAS_GCOMC_L2_STATE_BG_G_SEARCH_L_WAIT_GPHY_START_CNF",
0x2 : "GAS_GCOMC_L2_STATE_BG_G_SEARCH_L_WAIT_LRRC_START_IND",
0x3 : "GAS_GCOMC_L2_STATE_BG_G_SEARCH_L_WAIT_GPHY_STOP_CNF",
0x4 : "GAS_GCOMC_L2_STATE_BG_G_SEARCH_L_WAIT_LRRC_STOP_CNF",
0x5 : "GAS_GCOMC_L2_STATE_BG_G_SEARCH_L_WAIT_LRRC_RESUME_CNF",
0x6 : "GAS_GCOMC_L2_STATE_BG_G_SEARCH_L_WAIT_GPHY_SUSPEND_CNF",
0x7 : "GAS_GCOMC_L2_STATE_BG_G_SEARCH_L_WAIT_LRRC_SUSPEND_CNF",
0x8 : "GAS_GCOMC_L2_STATE_BG_G_SEARCH_L_BUTT",
}

gas_gcomc_l2_bg_plmn_list_state_enum_table = {
0x00 : "GAS_GCOMC_L2_STATE_BG_PLMN_LIST_SEARCH_FREQ_MEAS",
0x01 : "GAS_GCOMC_L2_STATE_BG_PLMN_LIST_SEARCH_STOP_FREQ_MEAS",
0x02 : "GAS_GCOMC_L2_STATE_BG_PLMN_LIST_SEARCH_QUIT_FREQ_MEAS",
0x03 : "GAS_GCOMC_L2_STATE_BG_PLMN_LIST_SEARCH_BCCH_READING",
0x04 : "GAS_GCOMC_L2_STATE_BG_PLMN_LIST_STOP_SEARCH_BCCH_READING",
0x05 : "GAS_GCOMC_L2_STATE_BG_PLMN_LIST_SEARCH_WAIT_WRRC_START_CNF",
0x06 : "GAS_GCOMC_L2_STATE_BG_PLMN_LIST_SEARCH_WAIT_GPHY_START_W_CNF",
0x07 : "GAS_GCOMC_L2_STATE_BG_PLMN_LIST_SEARCH_WAIT_WRRC_SEARCH_IND",
0x08 : "GAS_GCOMC_L2_STATE_BG_PLMN_LIST_SEARCH_WAIT_GPHY_STOP_W_CNF",
0x09 : "GAS_GCOMC_L2_STATE_BG_PLMN_LIST_SEARCH_WAIT_WRRC_STOP_CNF",
0x0A : "GAS_GCOMC_L2_STATE_BG_PLMN_LIST_SEARCH_WAIT_WRRC_STOP_CNF",
0x0B : "GAS_GCOMC_L2_STATE_BG_PLMN_LIST_SEARCH_QUIT_WRRC_STOP_CNF",
0x0C : "GAS_GCOMC_L2_STATE_BG_PLMN_LIST_SEARCH_WAIT_LRRC_START_CNF",
0x0D : "GAS_GCOMC_L2_STATE_BG_PLMN_LIST_SEARCH_WAIT_GPHY_START_L_CNF",
0x0E : "GAS_GCOMC_L2_STATE_BG_PLMN_LIST_SEARCH_WAIT_LRRC_SEARCH_IND",
0x0F : "GAS_GCOMC_L2_STATE_BG_PLMN_LIST_SEARCH_WAIT_GPHY_STOP_L_CNF",
0x10 : "GAS_GCOMC_L2_STATE_BG_PLMN_LIST_SEARCH_WAIT_LRRC_STOP_CNF",
0x11 : "GAS_GCOMC_L2_STATE_BG_PLMN_LIST_SEARCH_WAIT_LRRC_STOP_CNF",
0x12 : "GAS_GCOMC_L2_STATE_BG_PLMN_LIST_SEARCH_QUIT_LRRC_STOP_CNF",
0x13 : "GAS_GCOMC_L2_STATE_BG_PLMN_LIST_SEARCH_WAITING_RF_RES_CNF",
0x14 : "GAS_GCOMC_L2_STATE_BG_PLMN_LIST_SEARCH_BUTT"
}

gas_gcomc_l2_bg_x_srch_g_state_enum_table = {
0x1 : "GAS_GCOMC_L2_STATE_BG_X_SEARCH_G_STORE_LIST_FREQ_MEAS",
0x2 : "GAS_GCOMC_L2_STATE_BG_X_SEARCH_G_STOP_STORE_LIST_FREQ_MEAS",
0x3 : "GAS_GCOMC_L2_STATE_BG_X_SEARCH_G_FULL_LIST_FREQ_MEAS",
0x4 : "GAS_GCOMC_L2_STATE_BG_X_SEARCH_G_STOP_FULL_LIST_FREQ_MEAS",
0x5 : "GAS_GCOMC_L2_STATE_BG_X_SEARCH_G_BCCH_READING",
0x6 : "GAS_GCOMC_L2_STATE_BG_X_SEARCH_G_STOPPING",
0x7 : "GAS_GCOMC_L2_STATE_BG_X_SEARCH_G_SUSPENDING",
0x8 : "GAS_GCOMC_L2_STATE_BG_X_SEARCH_G_SUSPEND",
0x9 : "GAS_GCOMC_L2_STATE_BG_X_SEARCH_G_ABNORMAL",
0xA : "GAS_GCOMC_L2_STATE_BG_X_SEARCH_G_BUTT",
}

gas_gcomc_l2_cco_g2l_state_enum_table = {
0x01 : "GAS_GCOMC_L2_STATE_CCO_G2L_WAIT_RRBP_TIMER_EXPIRE",
0x02 : "GAS_GCOMC_L2_STATE_CCO_G2L_SUSPEND_NAS",
0x03 : "GAS_GCOMC_L2_STATE_CCO_G2L_STOP_MEAS",
0x04 : "GAS_GCOMC_L2_STATE_CCO_G2L_RELEASE_GRR",
0x05 : "GAS_GCOMC_L2_STATE_CCO_G2L_SET_SLAVE_MODE",
0x06 : "GAS_GCOMC_L2_STATE_CCO_G2L_NETWORK_LOST",
0x07 : "GAS_GCOMC_L2_STATE_CCO_G2L_ABNORMAL_NETWORK_LOST",
0x08 : "GAS_GCOMC_L2_STATE_CCO_G2L_WAIT_LRRC_CCO_CNF",
0x09 : "GAS_GCOMC_L2_STATE_CCO_G2L_WAIT_LRRC_CCO_STOP_CNF",
0x0A : "GAS_GCOMC_L2_STATE_CCO_G2L_ROLLBACK_SET_MASTER_MODE",
0x0B : "GAS_GCOMC_L2_STATE_CCO_G2L_ROLLBACK_SCELL_WAIT_GPHY_RESEL_CNF",
0x0C : "GAS_GCOMC_L2_STATE_CCO_G2L_ROLLBACK_SCELL_BCCH_READING",
0x0D : "GAS_GCOMC_L2_STATE_CCO_G2L_ROLLBACK_NCELL_WAIT_GPHY_RESEL_CNF",
0x0E : "GAS_GCOMC_L2_STATE_CCO_G2L_ROLLBACK_NCELL_BCCH_READING",
0x0F : "GAS_GCOMC_L2_STATE_CCO_G2L_WAIT_RF_RES_CNF",
0x10 : "GAS_GCOMC_L2_STATE_CCO_G2L_ROLLBACK_WAIT_RF_RES_CNF",
0x11 : "GAS_GCOMC_L2_STATE_CCO_G2L_BUTT",
}

gas_gcomc_l2_cco_g2t_state_enum_table = {
0x01 : "GAS_GCOMC_L2_STATE_CCO_G2T_WAIT_RRBP_TIMER_EXPIRE",
0x02 : "GAS_GCOMC_L2_STATE_CCO_G2T_SUSPEND_NAS",
0x03 : "GAS_GCOMC_L2_STATE_CCO_G2T_STOP_MEAS",
0x04 : "GAS_GCOMC_L2_STATE_CCO_G2T_RELEASE_GRR",
0x05 : "GAS_GCOMC_L2_STATE_CCO_G2T_SET_SLAVE_MODE",
0x06 : "GAS_GCOMC_L2_STATE_CCO_G2T_NETWORK_LOST",
0x07 : "GAS_GCOMC_L2_STATE_CCO_G2T_ABNORMAL_NETWORK_LOST",
0x08 : "GAS_GCOMC_L2_STATE_CCO_G2T_WAIT_TRRC_CCO_CNF",
0x09 : "GAS_GCOMC_L2_STATE_CCO_G2T_WAIT_TRRC_CCO_STOP_CNF",
0x0A : "GAS_GCOMC_L2_STATE_CCO_G2T_ROLLBACK_SET_MASTER_MODE",
0x0B : "GAS_GCOMC_L2_STATE_CCO_G2T_ROLLBACK_SCELL_WAIT_GPHY_RESEL_CNF",
0x0C : "GAS_GCOMC_L2_STATE_CCO_G2T_ROLLBACK_SCELL_BCCH_READING",
0x0D : "GAS_GCOMC_L2_STATE_CCO_G2T_ROLLBACK_NCELL_WAIT_GPHY_RESEL_CNF",
0x0E : "GAS_GCOMC_L2_STATE_CCO_G2T_ROLLBACK_NCELL_BCCH_READING",
0x0F : "GAS_GCOMC_L2_STATE_CCO_G2T_WAIT_RF_RES_CNF",
0x10 : "GAS_GCOMC_L2_STATE_CCO_G2T_ROLLBACK_WAIT_RF_RES_CNF",
0x11 : "GAS_GCOMC_L2_STATE_CCO_G2T_BUTT",
}

gas_gcomc_l2_cco_g2w_state_enum_table = {
0x01 : "GAS_GCOMC_L2_STATE_CCO_G2W_WAIT_RRBP_TIMER_EXPIRE",
0x02 : "GAS_GCOMC_L2_STATE_CCO_G2W_SUSPEND_NAS",
0x03 : "GAS_GCOMC_L2_STATE_CCO_G2W_RELEASE_GRR",
0x04 : "GAS_GCOMC_L2_STATE_CCO_G2W_STOP_MEAS",
0x05 : "GAS_GCOMC_L2_STATE_CCO_G2W_NETWORK_LOST",
0x06 : "GAS_GCOMC_L2_STATE_CCO_G2W_WAIT_WRRC_CCO_CNF",
0x07 : "GAS_GCOMC_L2_STATE_CCO_G2W_WAIT_WRRC_CCO_TIMER_EXPIRE_CNF ",
0x08 : "GAS_GCOMC_L2_STATE_CCO_G2W_ROLLBACK_SCELL_WAIT_GPHY_RESEL_CNF",
0x09 : "GAS_GCOMC_L2_STATE_CCO_G2W_ROLLBACK_SCELL_BCCH_READING",
0x0A : "GAS_GCOMC_L2_STATE_CCO_G2W_ROLLBACK_NCELL_WAIT_GPHY_RESEL_CNF",
0x0B : "GAS_GCOMC_L2_STATE_CCO_G2W_ROLLBACK_NCELL_BCCH_READING",
0x0C : "GAS_GCOMC_L2_STATE_CCO_G2W_ABNORMAL_NETWORK_LOST",
0x0D : "GAS_GCOMC_L2_STATE_CCO_G2W_SET_SLAVE_MODE",
0x0E : "GAS_GCOMC_L2_STATE_CCO_G2W_ROLLBACK_SET_MASTER_MODE",
0x0F : "GAS_GCOMC_L2_STATE_CCO_G2W_WAIT_RF_RES_CNF",
0x10 : "GAS_GCOMC_L2_STATE_CCO_G2W_ROLLBACK_WAIT_RF_RES_CNF",
0x11 : "GAS_GCOMC_L2_STATE_CCO_G2W_BUTT",
}

gas_gcomc_l2_cco_l2g_state_enum_table = {
0x01 : "GAS_GCOMC_L2_STATE_CCO_L2G_SET_MASTER_MODE",
0x02 : "GAS_GCOMC_L2_STATE_CCO_L2G_WAIT_GPHY_RESEL_CNF",
0x03 : "GAS_GCOMC_L2_STATE_CCO_L2G_SCELL_BCCH_READING",
0x04 : "GAS_GCOMC_L2_STATE_CCO_L2G_WAIT_ACCESS_NTF",
0x05 : "GAS_GCOMC_L2_STATE_CCO_L2G_ROLLBACK_SUSPEND_NAS",
0x06 : "GAS_GCOMC_L2_STATE_CCO_L2G_ROLLBACK_SET_SLAVE_MODE",
0x07 : "GAS_GCOMC_L2_STATE_CCO_L2G_ROLLBACK_NETWORK_LOST",
0x08 : "GAS_GCOMC_L2_STATE_CCO_L2G_STOP_SUSPEND_NAS",
0x09 : "GAS_GCOMC_L2_STATE_CCO_L2G_STOP_SET_SLAVE_MODE",
0x0A : "GAS_GCOMC_L2_STATE_CCO_L2G_STOP_NETWORK_LOST",
0x0B : "GAS_GCOMC_L2_STATE_CCO_L2G_UTRAN_MODE_STOP_MEAS",
0x0C : "GAS_GCOMC_L2_STATE_CCO_L2G_WAIT_TRANSACTION_INFO",
0x0D : "GAS_GCOMC_L2_STATE_CCO_L2G_CAMPING_WAIT_TRANSACTION_INFO",
0x0E : "GAS_GCOMC_L2_STATE_CCO_L2G_BUTT",
}

gas_gcomc_l2_cco_t2g_state_enum_table = {
0x01 : "GAS_GCOMC_L2_STATE_CCO_T2G_SET_MASTER_MODE",
0x02 : "GAS_GCOMC_L2_STATE_CCO_T2G_WAIT_GPHY_RESEL_CNF",
0x03 : "GAS_GCOMC_L2_STATE_CCO_T2G_SCELL_BCCH_READING",
0x04 : "GAS_GCOMC_L2_STATE_CCO_T2G_WAIT_ACCESS_NTF",
0x05 : "GAS_GCOMC_L2_STATE_CCO_T2G_ROLLBACK_SUSPEND_NAS",
0x06 : "GAS_GCOMC_L2_STATE_CCO_T2G_ROLLBACK_SET_SLAVE_MODE",
0x07 : "GAS_GCOMC_L2_STATE_CCO_T2G_ROLLBACK_NETWORK_LOST",
0x08 : "GAS_GCOMC_L2_STATE_CCO_T2G_STOP_SUSPEND_NAS",
0x09 : "GAS_GCOMC_L2_STATE_CCO_T2G_STOP_SET_SLAVE_MODE",
0x0A : "GAS_GCOMC_L2_STATE_CCO_T2G_STOP_NETWORK_LOST",
0x0B : "GAS_GCOMC_L2_STATE_CCO_T2G_UTRAN_MODE_STOP_MEAS",
0x0C : "GAS_GCOMC_L2_STATE_CCO_T2G_BUTT",
}

gas_gcomc_l2_cco_w2g_state_enum_table = {
0x01 : "GAS_GCOMC_L2_STATE_CCO_W2G_SET_MASTER_MODE",
0x02 : "GAS_GCOMC_L2_STATE_CCO_W2G_WAIT_GPHY_RESEL_CNF",
0x03 : "GAS_GCOMC_L2_STATE_CCO_W2G_SCELL_BCCH_READING",
0x04 : "GAS_GCOMC_L2_STATE_CCO_W2G_WAIT_ACCESS_NTF",
0x05 : "GAS_GCOMC_L2_STATE_CCO_W2G_ROLLBACK_SUSPEND_NAS",
0x06 : "GAS_GCOMC_L2_STATE_CCO_W2G_ROLLBACK_SET_SLAVE_MODE",
0x07 : "GAS_GCOMC_L2_STATE_CCO_W2G_ROLLBACK_NETWORK_LOST",
0x08 : "GAS_GCOMC_L2_STATE_CCO_W2G_STOP_SUSPEND_NAS",
0x09 : "GAS_GCOMC_L2_STATE_CCO_W2G_STOP_NETWORK_LOST",
0x0A : "GAS_GCOMC_L2_STATE_CCO_W2G_STOP_SET_SLAVE_MODE",
0x0B : "GAS_GCOMC_L2_STATE_CCO_W2G_UTRAN_MODE_STOP_MEAS",
0x0C : "GAS_GCOMC_L2_STATE_CCO_W2G_BUTT",
}

gas_gcomc_l2_g_netscan_g_state_enum_table = {
0x1 : "GAS_GCOMC_L2_STATE_G_NET_SCAN_G_FREQ_MEAS",
0x2 : "GAS_GCOMC_L2_STATE_G_NET_SCAN_G_BCCH_READING",
0x3 : "GAS_GCOMC_L2_STATE_G_NET_SCAN_G_STOPPING",
0x4 : "GAS_GCOMC_L2_STATE_G_NET_SCAN_G_SUSPENDING",
0x5 : "GAS_GCOMC_L2_STATE_G_NET_SCAN_G_STOP_FREQ_MEAS",
0x6 : "GAS_GCOMC_L2_STATE_G_NET_SCAN_G_BUTT",
}

gas_gcomc_l2_g_netscan_w_state_enum_table = {
0x1 : "GAS_GCOMC_L2_STATE_G_NET_SCAN_W_WRRC_START_CNF",
0x2 : "GAS_GCOMC_L2_STATE_G_NET_SCAN_W_GPHY_START_CNF",
0x3 : "GAS_GCOMC_L2_STATE_G_NET_SCAN_W_WRRC_SEARCH_IND",
0x4 : "GAS_GCOMC_L2_STATE_G_NET_SCAN_W_GPHY_STOP_CNF",
0x5 : "GAS_GCOMC_L2_STATE_G_NET_SCAN_W_WRRC_STOP_CNF",
0x6 : "GAS_GCOMC_L2_STATE_G_NET_SCAN_W_GPHY_SUSPEND_CNF",
0x7 : "GAS_GCOMC_L2_STATE_G_NET_SCAN_W_WRRC_SUSPEND_CNF",
0x8 : "GAS_GCOMC_L2_STATE_G_NET_SCAN_W_RESUMING",
0x9 : "GAS_GCOMC_L2_STATE_G_NET_SCAN_W_BUTT",
}

gas_gcomc_l2_g_oos_srch_state_enum_table = {
0x01 : "GAS_GCOMC_L2_STATE_GOOS_WAIT_RF_RES_CNF",
0x02 : "GAS_GCOMC_L2_STATE_GOOS_RELEASE_RR",
0x03 : "GAS_GCOMC_L2_STATE_GOOS_RELEASE_GRR",
0x04 : "GAS_GCOMC_L2_STATE_GOOS_STOP_MEAS",
0x05 : "GAS_GCOMC_L2_STATE_GOOS_STORE_LIST_FREQ_MEAS",
0x06 : "GAS_GCOMC_L2_STATE_GOOS_STORE_LIST_STOP_FREQ_MEAS",
0x07 : "GAS_GCOMC_L2_STATE_GOOS_STORE_LIST_BCCH_READING",
0x08 : "GAS_GCOMC_L2_STATE_GOOS_STORE_LIST_STOP_BCCH_READING",
0x09 : "GAS_GCOMC_L2_STATE_GOOS_FULL_LIST_FREQ_MEAS",
0x0A : "GAS_GCOMC_L2_STATE_GOOS_FULL_LIST_STOP_FREQ_MEAS",
0x0B : "GAS_GCOMC_L2_STATE_GOOS_FULL_LIST_BCCH_READING",
0x0C : "GAS_GCOMC_L2_STATE_GOOS_FULL_LIST_STOP_BCCH_READING",
0x0D : "GAS_GCOMC_L2_STATE_GOOS_ABNORMAL_STOP_FREQ_MEAS",
0x0E : "GAS_GCOMC_L2_STATE_GOOS_ABNORMAL_STOP_BCCH_READING",
0x0F : "GAS_GCOMC_L2_STATE_GOOS_NETWORK_LOST",
0x10 : "GAS_GCOMC_L2_STATE_GOOS_CAMP_SCELL",
0x11 : "GAS_GCOMC_L2_STATE_GOOS_BUTT",
}

gas_gcomc_l2_anr_state_enum_table = {
0x01 : "GAS_GCOMC_L2_STATE_ANR_WAIT_MPH_G_ENH_MEAS_CNF",
0x02 : "GAS_GCOMC_L2_STATE_ANR_WAIT_MPH_G_ENH_MEAS_IND",
0x03 : "GAS_GCOMC_L2_STATE_ANR_WAIT_MPH_G_ENH_STOP_MEAS",
0x04 : "GAS_GCOMC_L2_STATE_ANR_BCCH_READING",
0x05 : "GAS_GCOMC_L2_STATE_ANR_STOP_FREQ_MEAS",
0x06 : "GAS_GCOMC_L2_STATE_ANR_STOP_BCCH_READING",
0x07 : "GAS_GCOMC_L2_STATE_ANR_CGI_INFO_CNF_FAIL_STOP_FREQ_MEAS",
0x08 : "GAS_GCOMC_L2_STATE_ANR_CGI_INFO_IND_FAIL_STOP_FREQ_MEAS",
0x09 : "GAS_GCOMC_L2_STATE_ANR_BUTT",
}

gas_gcomc_l2_nas_susp_state_enum_table = {
0x201 : "GAS_GCOMC_L2_STATE_NAS_SUSP_STOP_MEAS",
0x202 : "GAS_GCOMC_L2_STATE_NAS_SUSP_STORE_BA",
0x203 : "GAS_GCOMC_L2_STATE_NAS_SUSP_NETWORK_LOST",
0x204 : "GAS_GCOMC_L2_STATE_NAS_SUSP_SET_SLAVE_MODE",
0x205 : "GAS_GCOMC_L2_STATE_NAS_SUSP_BUTT",
}

gas_gcomc_l2_plmn_get_geo_srch_state_enum_table = {
0x00 : "GAS_GCOMC_L2_STATE_PLMN_GET_GEO_SEARCH_FREQ_MEAS",
0x01 : "GAS_GCOMC_L2_STATE_PLMN_GET_GEO_SEARCH_SET_MASTER_MODE",
0x02 : "GAS_GCOMC_L2_STATE_PLMN_GET_GEO_SEARCH_STOP_FREQ_MEAS",
0x03 : "GAS_GCOMC_L2_STATE_PLMN_GET_GEO_SEARCH_BCCH_READING",
0x04 : "GAS_GCOMC_L2_STATE_PLMN_GET_GEO_SEARCH_NETWORK_LOST",
0x05 : "GAS_GCOMC_L2_STATE_PLMN_GET_GEO_SEARCH_ABNORMAL_STOP_FREQ_MEAS",
0x06 : "GAS_GCOMC_L2_STATE_PLMN_GET_GEO_SEARCH_STOP_BCCH_READING",
0x07 : "GAS_GCOMC_L2_STATE_PLMN_GET_GEO_SEARCH_ABNORMAL_STOP_BCCH_READING",
0x08 : "GAS_GCOMC_L2_STATE_PLMN_GET_GEO_SEARCH_BUTT",
}

gas_gcomc_l2_plmn_list_srch_state_enum_table = {
0x00 : "GAS_GCOMC_L2_STATE_PLMN_LIST_SEARCH_FREQ_MEAS",
0x01 : "GAS_GCOMC_L2_STATE_PLMN_LIST_SEARCH_WAIT_RF_RES_CNF",
0x02 : "GAS_GCOMC_L2_STATE_PLMN_LIST_SEARCH_SET_MASTER_MODE",
0x03 : "GAS_GCOMC_L2_STATE_PLMN_LIST_SEARCH_STOP_FREQ_MEAS",
0x04 : "GAS_GCOMC_L2_STATE_PLMN_LIST_SEARCH_BCCH_READING",
0x05 : "GAS_GCOMC_L2_STATE_PLMN_LIST_SEARCH_NETWORK_LOST",
0x06 : "GAS_GCOMC_L2_STATE_PLMN_LIST_SEARCH_ABNORMAL_STOP_FREQ_MEAS",
0x07 : "GAS_GCOMC_L2_STATE_PLMN_LIST_SEARCH_STOP_BCCH_READING",
0x08 : "GAS_GCOMC_L2_STATE_PLMN_LIST_SEARCH_BUTT",
}

gas_gcomc_l2_plmn_spec_srch_state_enum_table = {
0x01 : "GAS_GCOMC_L2_STATE_SPEC_SRCH_SET_MASTER_MODE",
0x02 : "GAS_GCOMC_L2_STATE_SPEC_SRCH_WAIT_RF_RES_CNF",
0x03 : "GAS_GCOMC_L2_STATE_SPEC_SRCH_RELEASE_RR",
0x04 : "GAS_GCOMC_L2_STATE_SPEC_SRCH_RELEASE_GRR",
0x05 : "GAS_GCOMC_L2_STATE_SPEC_SRCH_STOP_MEAS",
0x06 : "GAS_GCOMC_L2_STATE_SPEC_SRCH_STORE_LIST_FREQ_MEAS",
0x07 : "GAS_GCOMC_L2_STATE_SPEC_SRCH_STORE_LIST_STOP_FREQ_MEAS",
0x08 : "GAS_GCOMC_L2_STATE_SPEC_SRCH_STORE_LIST_BCCH_READING",
0x09 : "GAS_GCOMC_L2_STATE_SPEC_SRCH_STORE_LIST_STOP_BCCH_READING",
0x0A : "GAS_GCOMC_L2_STATE_SPEC_SRCH_FULL_LIST_FREQ_MEAS",
0x0B : "GAS_GCOMC_L2_STATE_SPEC_SRCH_FULL_LIST_STOP_FREQ_MEAS",
0x0C : "GAS_GCOMC_L2_STATE_SPEC_SRCH_FULL_LIST_BCCH_READING",
0x0D : "GAS_GCOMC_L2_STATE_SPEC_SRCH_FULL_LIST_STOP_BCCH_READING",
0x0E : "GAS_GCOMC_L2_STATE_SPEC_SRCH_ABNORMAL_STOP_BCCH_READING",
0x0F : "GAS_GCOMC_L2_STATE_SPEC_SRCH_ABNORMAL_STOP_FREQ_MEAS",
0x10 : "GAS_GCOMC_L2_STATE_SPEC_SRCH_ABNORMAL_NETWORK_LOST",
0x11 : "GAS_GCOMC_L2_STATE_SPEC_SRCH_CAMP_SCELL",
0x12 : "GAS_GCOMC_L2_STATE_SPEC_SRCH_STORE_LIST_WAIT_CSS_RSP",
0x13 : "GAS_GCOMC_L2_STATE_SPEC_SRCH_FULL_LIST_WAIT_CSS_RSP",
0x14 : "GAS_GCOMC_L2_STATE_SPEC_SRCH_ABNORMAL_WAIT_CSS_RSP",
0x15 : "GAS_GCOMC_L2_STATE_SPEC_SRCH_BUTT",
}

gas_gcomc_l2_pwr_off_state_enum_table = {
0x301 : "GAS_GCOMC_L2_STATE_PWR_OFF_STOP_MEAS",
0x302 : "GAS_GCOMC_L2_STATE_PWR_OFF_STORE_BA",
0x303 : "GAS_GCOMC_L2_STATE_PWR_OFF_NETWORK_LOST",
0x304 : "GAS_GCOMC_L2_STATE_PWR_OFF_RRC_PHY_SET_WORK_MODE",
0x305 : "GAS_GCOMC_L2_STATE_PWR_OFF_SET_SLAVE_MODE",
0x306 : "GAS_GCOMC_L2_STATE_PWR_OFF_GPHY_SLEEP",
0x307 : "GAS_GCOMC_L2_STATE_PWR_OFF_BUTT",
}

gas_gcomc_l2_redir_g2g_state_enum_table = {
0x00 : "GAS_GCOMC_L2_STATE_REDIR_G2G_WAIT_RF_RES_CNF",
0x01 : "GAS_GCOMC_L2_STATE_REDIR_G2G_RELEASE_RR",
0x02 : "GAS_GCOMC_L2_STATE_REDIR_G2G_RELEASE_GRR",
0x03 : "GAS_GCOMC_L2_STATE_REDIR_G2G_STOP_MEAS",
0x04 : "GAS_GCOMC_L2_STATE_REDIR_G2G_STORE_LIST_FREQ_MEAS",
0x05 : "GAS_GCOMC_L2_STATE_REDIR_G2G_STORE_LIST_STOP_FREQ_MEAS",
0x06 : "GAS_GCOMC_L2_STATE_REDIR_G2G_STORE_LIST_BCCH_READING",
0x07 : "GAS_GCOMC_L2_STATE_REDIR_G2G_STORE_LIST_STOP_BCCH_READING",
0x08 : "GAS_GCOMC_L2_STATE_REDIR_G2G_FULL_LIST_FREQ_MEAS",
0x09 : "GAS_GCOMC_L2_STATE_REDIR_G2G_FULL_LIST_STOP_FREQ_MEAS",
0x0A : "GAS_GCOMC_L2_STATE_REDIR_G2G_FULL_LIST_BCCH_READING",
0x0B : "GAS_GCOMC_L2_STATE_REDIR_G2G_FULL_LIST_STOP_BCCH_READING",
0x0C : "GAS_GCOMC_L2_STATE_REDIR_G2G_ABNORMAL_STOP_BCCH_READING",
0x0D : "GAS_GCOMC_L2_STATE_REDIR_G2G_ABNORMAL_STOP_FREQ_MEAS",
0x0E : "GAS_GCOMC_L2_STATE_REDIR_G2G_ABNORMAL_NETWORK_LOST",
0x0F : "GAS_GCOMC_L2_STATE_REDIR_G2G_CAMP_SCELL",
0x10 : "GAS_GCOMC_L2_STATE_REDIR_G2G_BUTT",
}

gas_gcomc_l2_redir_g2l_state_enum_table = {
0x00 : "GAS_GCOMC_L2_STATE_REDIR_G2L_SUSPEND_NAS",
0x01 : "GAS_GCOMC_L2_STATE_REDIR_G2L_RELEASE_GRR",
0x02 : "GAS_GCOMC_L2_STATE_REDIR_G2L_STOP_MEAS",
0x03 : "GAS_GCOMC_L2_STATE_REDIR_G2L_SET_SLAVE_MODE",
0x04 : "GAS_GCOMC_L2_STATE_REDIR_G2L_NETWORK_LOST",
0x05 : "GAS_GCOMC_L2_STATE_REDIR_G2L_ABNORMAL_NETWORK_LOST",
0x06 : "GAS_GCOMC_L2_STATE_REDIR_G2L_WAIT_LRRC_REDIR_CNF",
0x07 : "GAS_GCOMC_L2_STATE_REDIR_G2L_WAIT_LRRC_REDIR_STOP_CNF",
0x08 : "GAS_GCOMC_L2_STATE_REDIR_G2L_ROLLBACK_SET_MASTER_MODE",
0x09 : "GAS_GCOMC_L2_STATE_REDIR_G2L_ROLLBACK_WAIT_GRR_RELEASE_CNF",
0x0A : "GAS_GCOMC_L2_STATE_REDIR_G2L_ROLLBACK_WAIT_GPHY_RESEL_CNF",
0x0B : "GAS_GCOMC_L2_STATE_REDIR_G2L_ROLLBACK_SCELL_BCCH_READING",
0x0C : "GAS_GCOMC_L2_STATE_REDIR_G2L_WAIT_RF_RES_CNF",
0x0D : "GAS_GCOMC_L2_STATE_REDIR_G2L_ROLLBACK_WAIT_RF_RES_CNF",
0x0E : "GAS_GCOMC_L2_STATE_REDIR_G2L_BUTT",
}

gas_gcomc_l2_redir_g2t_state_enum_table = {
0x00 : "GAS_GCOMC_L2_STATE_REDIR_G2T_SUSPEND_NAS",
0x01 : "GAS_GCOMC_L2_STATE_REDIR_G2T_RELEASE_GRR",
0x02 : "GAS_GCOMC_L2_STATE_REDIR_G2T_STOP_MEAS",
0x03 : "GAS_GCOMC_L2_STATE_REDIR_G2T_SET_SLAVE_MODE",
0x04 : "GAS_GCOMC_L2_STATE_REDIR_G2T_NETWORK_LOST",
0x05 : "GAS_GCOMC_L2_STATE_REDIR_G2T_WAIT_TRRC_REDIR_CNF",
0x06 : "GAS_GCOMC_L2_STATE_REDIR_G2T_WAIT_TRRC_REDIR_STOP_CNF",
0x07 : "GAS_GCOMC_L2_STATE_REDIR_G2T_ROLLBACK_SET_MASTER_MODE",
0x08 : "GAS_GCOMC_L2_STATE_REDIR_G2T_ROLLBACK_WAIT_GRR_RELEASE_CNF",
0x09 : "GAS_GCOMC_L2_STATE_REDIR_G2T_ROLLBACK_WAIT_GPHY_RESEL_CNF",
0x0A : "GAS_GCOMC_L2_STATE_REDIR_G2T_ROLLBACK_SCELL_BCCH_READING",
0x0B : "GAS_GCOMC_L2_STATE_REDIR_G2T_ABNORMAL_NETWORK_LOST",
0x0C : "GAS_GCOMC_L2_STATE_REDIR_G2T_WAIT_RF_RES_CNF",
0x0D : "GAS_GCOMC_L2_STATE_REDIR_G2T_ROLLBACK_WAIT_RF_RES_CNF",
0x0E : "GAS_GCOMC_L2_STATE_REDIR_G2T_BUTT",
}

gas_gcomc_l2_redir_g2w_state_enum_table = {
0x00 : "GAS_GCOMC_L2_STATE_REDIR_G2W_SUSPEND_NAS",
0x01 : "GAS_GCOMC_L2_STATE_REDIR_G2W_RELEASE_GRR",
0x02 : "GAS_GCOMC_L2_STATE_REDIR_G2W_STOP_MEAS",
0x03 : "GAS_GCOMC_L2_STATE_REDIR_G2W_NETWORK_LOST",
0x04 : "GAS_GCOMC_L2_STATE_REDIR_G2W_SET_SLAVE_MODE",
0x05 : "GAS_GCOMC_L2_STATE_REDIR_G2W_WAIT_RF_RES_CNF",
0x06 : "GAS_GCOMC_L2_STATE_REDIR_G2W_WAIT_WRRC_REDIR_CNF",
0x07 : "GAS_GCOMC_L2_STATE_REDIR_G2W_WAIT_WRRC_REDIR_STOP_CNF",
0x08 : "GAS_GCOMC_L2_STATE_REDIR_G2W_ABNORMAL_NETWORK_LOST",
0x09 : "GAS_GCOMC_L2_STATE_REDIR_G2W_ROLLBACK_SET_MASTER_MODE",
0x0A : "GAS_GCOMC_L2_STATE_REDIR_G2W_ROLLBACK_WAIT_GRR_RELEASE_CNF",
0x0B : "GAS_GCOMC_L2_STATE_REDIR_G2W_ROLLBACK_WAIT_GPHY_RESEL_CNF",
0x0C : "GAS_GCOMC_L2_STATE_REDIR_G2W_ROLLBACK_SCELL_BCCH_READING",
0x0D : "GAS_GCOMC_L2_STATE_REDIR_G2W_ROLLBACK_WAIT_RF_RES_CNF",
0x0E : "GAS_GCOMC_L2_STATE_REDIR_G2W_BUTT",
}

gas_gcomc_l2_redir_l2g_state_enum_table ={
0x00 : "GAS_GCOMC_L2_STATE_REDIR_L2G_SET_MASTER_MODE",
0x01 : "GAS_GCOMC_L2_STATE_REDIR_L2G_STORE_LIST_FREQ_MEAS",
0x02 : "GAS_GCOMC_L2_STATE_REDIR_L2G_STORE_LIST_STOP_FREQ_MEAS",
0x03 : "GAS_GCOMC_L2_STATE_REDIR_L2G_ABNORMAL_STOP_FREQ_MEAS",
0x04 : "GAS_GCOMC_L2_STATE_REDIR_L2G_STORE_LIST_SCELL_BCCH_READING",
0x05 : "GAS_GCOMC_L2_STATE_REDIR_L2G_STORE_LIST_STOP_BCCH_READING",
0x06 : "GAS_GCOMC_L2_STATE_REDIR_L2G_NORMAL_FREQ_MEAS",
0x07 : "GAS_GCOMC_L2_STATE_REDIR_L2G_NORMAL_SCELL_BCCH_READING",
0x08 : "GAS_GCOMC_L2_STATE_REDIR_L2G_NORMAL_STOP_BCCH_READING",
0x09 : "GAS_GCOMC_L2_STATE_REDIR_L2G_NORMAL_STOP_FREQ_MEAS",
0x0A : "GAS_GCOMC_L2_STATE_REDIR_L2G_ABNORMAL_STOP_BCCH_READING",
0x0B : "GAS_GCOMC_L2_STATE_REDIR_L2G_WAIT_RF_RES_CNF",
0x0C : "GAS_GCOMC_L2_STATE_REDIR_L2G_SET_SLAVE_MODE",
0x0D : "GAS_GCOMC_L2_STATE_REDIR_L2G_NETWORK_LOST",
0x0E : "GAS_GCOMC_L2_STATE_REDIR_L2G_WAIT_TRANSACTION_INFO",
0x0F : "GAS_GCOMC_L2_STATE_REDIR_L2G_CAMPING_WAIT_TRANSACTION_INFO",
0x10 : "GAS_GCOMC_L2_STATE_REDIR_L2G_CAMP_SCELL",
0x11 : "GAS_GCOMC_L2_STATE_REDIR_L2G_BUTT",
}

gas_gcomc_l2_redir_w2g_state_enum_table = {
0x00 : "GAS_GCOMC_L2_STATE_REDIR_W2G_WAIT_TRANSACTION_INFO",
0x01 : "GAS_GCOMC_L2_STATE_REDIR_W2G_SET_MASTER_MODE",
0x02 : "GAS_GCOMC_L2_STATE_REDIR_W2G_WAIT_RF_RES_CNF",
0x03 : "GAS_GCOMC_L2_STATE_REDIR_W2G_STORE_LIST_FREQ_MEAS",
0x04 : "GAS_GCOMC_L2_STATE_REDIR_W2G_STORE_LIST_STOP_FREQ_MEAS",
0x05 : "GAS_GCOMC_L2_STATE_REDIR_W2G_STORE_LIST_BCCH_READING",
0x06 : "GAS_GCOMC_L2_STATE_REDIR_W2G_STORE_LIST_STOP_BCCH_READING",
0x07 : "GAS_GCOMC_L2_STATE_REDIR_W2G_FULL_LIST_FREQ_MEAS",
0x08 : "GAS_GCOMC_L2_STATE_REDIR_W2G_FULL_LIST_STOP_FREQ_MEAS",
0x09 : "GAS_GCOMC_L2_STATE_REDIR_W2G_FULL_LIST_BCCH_READING",
0x0A : "GAS_GCOMC_L2_STATE_REDIR_W2G_FULL_LIST_STOP_BCCH_READING",
0x0B : "GAS_GCOMC_L2_STATE_REDIR_W2G_CAMPING_WAIT_TRANSACTION_INFO",
0x0C : "GAS_GCOMC_L2_STATE_REDIR_W2G_ABNORMAL_STOP_FREQ_MEAS",
0x0D : "GAS_GCOMC_L2_STATE_REDIR_W2G_ABNORMAL_STOP_BCCH_READING",
0x0E : "GAS_GCOMC_L2_STATE_REDIR_W2G_SET_SLAVE_MODE",
0x0F : "GAS_GCOMC_L2_STATE_REDIR_W2G_NETWORK_LOST",
0x10 : "GAS_GCOMC_L2_STATE_REDIR_W2G_CAMP_SCELL",
0x11 : "GAS_GCOMC_L2_STATE_REDIR_W2G_BUTT",
}

gas_gcomc_l2_resel_g2g_state_enum_table = {
0x0 : "GAS_GCOMC_L2_STATE_RESEL_G2G_BCCH_READING",
0x1 : "GAS_GCOMC_L2_STATE_RESEL_G2G_STOP_BCCH_READING",
0x2 : "GAS_GCOMC_L2_STATE_RESEL_G2G_ABNORMAL_STOP_BCCH_READING",
0x3 : "GAS_GCOMC_L2_STATE_RESEL_G2G_ABNORMAL_NETWORK_LOST",
0x4 : "GAS_GCOMC_L2_STATE_RESEL_G2G_CAMP_SCELL",
0x5 : "GAS_GCOMC_L2_STATE_RESEL_G2G_BUTT",
}

gas_gcomc_l2_resel_g2l_state_enum_table = {
0x00 : "GAS_GCOMC_L2_STATE_RESEL_G2L_SUSPEND_NAS",
0x01 : "GAS_GCOMC_L2_STATE_RESEL_G2L_WAIT_RRBP_TIMER_EXPIRE",
0x02 : "GAS_GCOMC_L2_STATE_RESEL_G2L_RELEASE_GRR",
0x03 : "GAS_GCOMC_L2_STATE_RESEL_G2L_STOP_MEAS",
0x04 : "GAS_GCOMC_L2_STATE_RESEL_G2L_SET_SLAVE_MODE",
0x05 : "GAS_GCOMC_L2_STATE_RESEL_G2L_NETWORK_LOST",
0x06 : "GAS_GCOMC_L2_STATE_RESEL_G2L_ABNORMAL_NETWORK_LOST",
0x07 : "GAS_GCOMC_L2_STATE_RESEL_G2L_WAIT_LRRC_RESEL_CNF",
0x08 : "GAS_GCOMC_L2_STATE_RESEL_G2L_WAIT_LRRC_RESEL_STOP_CNF",
0x09 : "GAS_GCOMC_L2_STATE_RESEL_G2L_ROLLBACK_SET_MASTER_MODE",
0x0A : "GAS_GCOMC_L2_STATE_RESEL_G2L_ROLLBACK_WAIT_GPHY_RESEL_CNF",
0x0B : "GAS_GCOMC_L2_STATE_RESEL_G2L_ROLLBACK_SCELL_BCCH_READING",
0x0C : "GAS_GCOMC_L2_STATE_RESEL_G2L_WAIT_RF_RES_CNF",
0x0D : "GAS_GCOMC_L2_STATE_RESEL_G2L_ROLLBACK_WAIT_RF_RES_CNF",
0x0E : "GAS_GCOMC_L2_STATE_RESEL_G2L_BUTT",
}

gas_gcomc_l2_resel_g2t_state_enum_table = {
0x00 : "GAS_GCOMC_L2_STATE_RESEL_G2T_SUSPEND_NAS",
0x01 : "GAS_GCOMC_L2_STATE_RESEL_G2T_RELEASE_GRR",
0x02 : "GAS_GCOMC_L2_STATE_RESEL_G2T_STOP_MEAS",
0x03 : "GAS_GCOMC_L2_STATE_RESEL_G2T_SET_SLAVE_MODE",
0x04 : "GAS_GCOMC_L2_STATE_RESEL_G2T_NETWORK_LOST",
0x05 : "GAS_GCOMC_L2_STATE_RESEL_G2T_ABNORMAL_SET_SLAVE_MODE",
0x06 : "GAS_GCOMC_L2_STATE_RESEL_G2T_ABNORMAL_NETWORK_LOST",
0x07 : "GAS_GCOMC_L2_STATE_RESEL_G2T_WAIT_TRRC_RESEL_CNF",
0x08 : "GAS_GCOMC_L2_STATE_RESEL_G2T_WAIT_TRRC_RESEL_STOP_CNF",
0x09 : "GAS_GCOMC_L2_STATE_RESEL_G2T_ROLLBACK_SET_MASTER_MODE",
0x0A : "GAS_GCOMC_L2_STATE_RESEL_G2T_ROLLBACK_WAIT_MPH_CELL_RESELECT_CNF",
0x0B : "GAS_GCOMC_L2_STATE_RESEL_G2T_ROLLBACK_SCELL_BCCH_READING",
0x0C : "GAS_GCOMC_L2_STATE_RESEL_G2T_WAIT_RRBP_TIMER_EXPIRE",
0x0D : "GAS_GCOMC_L2_STATE_RESEL_G2T_WAIT_RF_RES_CNF",
0x0E : "GAS_GCOMC_L2_STATE_RESEL_G2T_ROLLBACK_WAIT_RF_RES_CNF",
0x0F : "GAS_GCOMC_L2_STATE_RESEL_G2T_BUTT",
}

gas_gcomc_l2_resel_g2w_state_enum_table = {
0x01 : "GAS_GCOMC_L2_STATE_RESEL_G2W_SUSPEND_NAS",
0x02 : "GAS_GCOMC_L2_STATE_RESEL_G2W_WAIT_RRBP_TIMER_EXPIRE",
0x03 : "GAS_GCOMC_L2_STATE_RESEL_G2W_RELEASE_GRR",
0x04 : "GAS_GCOMC_L2_STATE_RESEL_G2W_STOP_MEAS",
0x05 : "GAS_GCOMC_L2_STATE_RESEL_G2W_NETWORK_LOST",
0x06 : "GAS_GCOMC_L2_STATE_RESEL_G2W_WAIT_WRRC_RESEL_CNF",
0x07 : "GAS_GCOMC_L2_STATE_RESEL_G2W_ROLLBACK_WAIT_GPHY_CELL_RESELECT_CNF",
0x08 : "GAS_GCOMC_L2_STATE_RESEL_G2W_ROLLBACK_SCELL_BCCH_READING",
0x09 : "GAS_GCOMC_L2_STATE_RESEL_G2W_ABNORMAL_NETWORK_LOST",
0x0A : "GAS_GCOMC_L2_STATE_RESEL_G2W_WAIT_WRRC_CELL_RESEL_STOP_CNF",
0x0B : "GAS_GCOMC_L2_STATE_RESEL_G2W_SET_SLAVE_MODE",
0x0C : "GAS_GCOMC_L2_STATE_RESEL_G2W_ROLLBACK_SET_MASTER_MODE",
0x0D : "GAS_GCOMC_L2_STATE_RESEL_G2W_WAIT_RF_RES_CNF",
0x0E : "GAS_GCOMC_L2_STATE_RESEL_G2W_ROLLBACK_WAIT_RF_RES_CNF",
0x0F : "GAS_GCOMC_L2_STATE_RESEL_G2W_BUTT",
}

gas_gcomc_l2_resel_l2g_state_enum_table = {
0x01 : "GAS_GCOMC_L2_STATE_RESEL_L2G_SET_MASTER_MODE",
0x02 : "GAS_GCOMC_L2_STATE_RESEL_L2G_WAIT_GPHY_RESEL_CNF",
0x03 : "GAS_GCOMC_L2_STATE_RESEL_L2G_SCELL_BCCH_READING",
0x04 : "GAS_GCOMC_L2_STATE_RESEL_L2G_ROLLBACK_SET_SLAVE_MODE",
0x05 : "GAS_GCOMC_L2_STATE_RESEL_L2G_ROLLBACK_NETWORK_LOST",
0x06 : "GAS_GCOMC_L2_STATE_RESEL_L2G_STOP_SET_SLAVE_MODE",
0x07 : "GAS_GCOMC_L2_STATE_RESEL_L2G_STOP_NETWORK_LOST",
0x08 : "GAS_GCOMC_L2_STATE_RESEL_L2G_BUTT",
}

gas_gcomc_l2_resel_t2g_state_enum_table = {
0x01 : "GAS_GCOMC_L2_STATE_RESEL_T2G_SET_MASTER_MODE",
0x02 : "GAS_GCOMC_L2_STATE_RESEL_T2G_WAIT_MPH_CELL_RESELECT_CNF",
0x03 : "GAS_GCOMC_L2_STATE_RESEL_T2G_SCELL_BCCH_READING",
0x04 : "GAS_GCOMC_L2_STATE_RESEL_T2G_ROLLBACK_SET_SLAVE_MODE",
0x05 : "GAS_GCOMC_L2_STATE_RESEL_T2G_ROLLBACK_NETWORK_LOST",
0x06 : "GAS_GCOMC_L2_STATE_RESEL_T2G_STOP_SET_SLAVE_MODE",
0x07 : "GAS_GCOMC_L2_STATE_RESEL_T2G_STOP_NETWORK_LOST",
0x08 : "GAS_GCOMC_L2_STATE_RESEL_T2G_BUTT",
}

gas_gcomc_l2_resel_w2g_state_enum_table = {
0x01 : "GAS_GCOMC_L2_STATE_RESEL_W2G_SET_MASTER_MODE",
0x02 : "GAS_GCOMC_L2_STATE_RESEL_W2G_WAIT_MPH_CELL_RESELECT_CNF",
0x03 : "GAS_GCOMC_L2_STATE_RESEL_W2G_SCELL_BCCH_READING",
0x04 : "GAS_GCOMC_L2_STATE_RESEL_W2G_ROLLBACK_SET_SLAVE_MODE",
0x05 : "GAS_GCOMC_L2_STATE_RESEL_W2G_ROLLBACK_NETWORK_LOST",
0x06 : "GAS_GCOMC_L2_STATE_RESEL_W2G_STOP_SET_SLAVE_MODE",
0x07 : "GAS_GCOMC_L2_STATE_RESEL_W2G_STOP_NETWORK_LOST",
0x08 : "GAS_GCOMC_L2_STATE_RESEL_W2G_BUTT",
}

gas_gcomc_l2_slave_mode_ctrl_state_enum_table = {
0x00 : "GAS_GCOMC_L2_STATE_SLAVE_MODE_CTRL_SET_WORK_MODE",
0x01 : "GAS_GCOMC_L2_STATE_SLAVE_MODE_CTRL_NETWORK_LOST",
0x02 : "GAS_GCOMC_L2_STATE_SLAVE_MODE_CTRL_BUTT",
}

gas_gcomc_l2_slave_mode_low_power_state_enum_table = {
0x00 : "GAS_GCOMC_L2_STATE_SLAVE_MODE_LOW_POWER_NETWORK_LOST",
0x01 : "GAS_GCOMC_L2_STATE_SLAVE_MODE_LOW_POWER_SET_SLAVE_MODE",
0x02 : "GAS_GCOMC_L2_STATE_SLAVE_MODE_LOW_POWER_BUTT",
}

gas_gcomc_l2_sys_cfg_state_enum_table = {
0x101 : "GAS_GCOMC_L2_STATE_SYS_CFG_STOP_MEAS",
0x102 : "GAS_GCOMC_L2_STATE_SYS_CFG_STORE_BA",
0x103 : "GAS_GCOMC_L2_STATE_SYS_CFG_NETWORK_LOST",
0x104 : "GAS_GCOMC_L2_STATE_SYS_CFG_SET_SLAVE_MODE",
0x105 : "GAS_GCOMC_L2_STATE_SYS_CFG_GPHY_SLEEP",
0x106 : "GAS_GCOMC_L2_STATE_SYS_CFG_BUTT",
}

gas_gcomc_l2_utran_mode_state_enum_table = {
0x1 : "GAS_GCOMC_L2_STATE_UTRAN_MODE_STOP_MEAS",
0x2 : "GAS_GCOMC_L2_STATE_UTRAN_MODE_BUTT",
}

gas_gcomc_l2_w_netscan_g_state_enum_table = {
0x01 : "GAS_GCOMC_L2_STATE_W_NET_SCAN_G_FREQ_MEAS",
0x02 : "GAS_GCOMC_L2_STATE_W_NET_SCAN_G_BCCH_READING",
0x03 : "GAS_GCOMC_L2_STATE_W_NET_SCAN_G_STOPPING",
0x04 : "GAS_GCOMC_L2_STATE_W_NET_SCAN_G_SUSPENDING",
0x05 : "GAS_GCOMC_L2_STATE_W_NET_SCAN_G_SUSPEND",
0x06 : "GAS_GCOMC_L2_STATE_W_NET_SCAN_G_ABNORMAL_STOPPING",
0x07 : "GAS_GCOMC_L2_STATE_W_NET_SCAN_G_STOP_FREQ_MEAS",
0x08 : "GAS_GCOMC_L2_STATE_W_NET_SCAN_G_BUTT",
}

gas_gcomc_l2_woos_state_enum_table = {
0x01 : "GAS_GCOMC_L2_STATE_WOOS_SET_MASTER_MODE",
0x02 : "GAS_GCOMC_L2_STATE_WOOS_FREQ_MEAS",
0x03 : "GAS_GCOMC_L2_STATE_WOOS_STOP_FREQ_MEAS",
0x04 : "GAS_GCOMC_L2_STATE_WOOS_BCCH_READING",
0x05 : "GAS_GCOMC_L2_STATE_WOOS_STOP_BCCH_READING",
0x06 : "GAS_GCOMC_L2_STATE_WOOS_ABNORMAL_STOP_FREQ_MEAS",
0x07 : "GAS_GCOMC_L2_STATE_WOOS_SET_SLAVE_MODE",
0x08 : "GAS_GCOMC_L2_STATE_WOOS_NETWORK_LOST",
0x09 : "GAS_GCOMC_L2_STATE_WOOS_BUTT",
}

gas_gcomc_l2_state_enum_table = {
0xFE : "GAS_GCOMC_L2_STATE_INIT",
0xFF : "GAS_GCOMC_L2_STATE_NULL",
}

def get_gcomc_l1_state( ulState):
    for index in gas_gcomc_l1_state_enum_table.keys():
        if index == ulState:
            return gas_gcomc_l1_state_enum_table[index]

    return "none"

def get_gcomc_l2_fsm( ulFsm):
    for index in gas_gcomc_l2_fsm_enum_table.keys():
        if index == ulFsm:
            return gas_gcomc_l2_fsm_enum_table[index]

    return "none"

def get_gcomc_l2_state( ulFsm, ulState):
    for index in gas_gcomc_l2_state_enum_table.keys():
        if index == ulState:
            return gas_gcomc_l2_state_enum_table[index]

    if ( MACRO_GCOMC_FSM_L2_FSM_BG_X_SRCH_G_INDEX == ulFsm):
        for index in gas_gcomc_l2_bg_x_srch_g_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_bg_x_srch_g_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_BG_G_SRCH_G_INDEX == ulFsm):
        for index in gas_gcomc_l2_bg_g_srch_g_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_bg_g_srch_g_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_BG_G_SRCH_W_INDEX == ulFsm):
        for index in gas_gcomc_l2_bg_g_srch_w_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_bg_g_srch_w_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_BG_G_SRCH_L_INDEX == ulFsm):
        for index in gas_gcomc_l2_bg_g_srch_l_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_bg_g_srch_l_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_BG_PLMN_LIST_INDEX == ulFsm):
        for index in gas_gcomc_l2_bg_plmn_list_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_bg_plmn_list_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_REDIR_L2G_INDEX == ulFsm):
        for index in gas_gcomc_l2_redir_l2g_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_redir_l2g_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_REDIR_G2L_INDEX == ulFsm):
        for index in gas_gcomc_l2_redir_g2l_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_redir_g2l_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_PWR_OFF_INDEX == ulFsm):
        for index in gas_gcomc_l2_pwr_off_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_pwr_off_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_SYS_CFG_INDEX == ulFsm):
        for index in gas_gcomc_l2_sys_cfg_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_sys_cfg_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_NAS_SUSPEND_INDEX == ulFsm):
        for index in gas_gcomc_l2_nas_susp_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_nas_susp_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_RESEL_G2L_INDEX == ulFsm):
        for index in gas_gcomc_l2_resel_g2l_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_resel_g2l_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_RESEL_L2G_INDEX == ulFsm):
        for index in gas_gcomc_l2_resel_l2g_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_resel_l2g_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_CCO_G2L_INDEX == ulFsm):
        for index in gas_gcomc_l2_cco_g2l_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_cco_g2l_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_CCO_L2G_INDEX == ulFsm):
        for index in gas_gcomc_l2_cco_l2g_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_cco_l2g_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_RESEL_G2T_INDEX == ulFsm):
        for index in gas_gcomc_l2_cco_l2g_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_cco_l2g_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_RESEL_T2G_INDEX == ulFsm):
        for index in gas_gcomm_l2_fdd_meas_state_enum_table.keys():
            if index == ulState:
                return gas_gcomm_l2_fdd_meas_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_SLAVE_MODE_CTRL_INDEX == ulFsm):
        for index in gas_gcomm_l2_fdd_meas_state_enum_table.keys():
            if index == ulState:
                return gas_gcomm_l2_fdd_meas_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_CCO_G2T_INDEX == ulFsm):
        for index in gas_gcomc_l2_cco_g2t_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_cco_g2t_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_CCO_T2G_INDEX == ulFsm):
        for index in gas_gcomc_l2_cco_t2g_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_cco_t2g_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_RESEL_G2W_INDEX == ulFsm):
        for index in gas_gcomc_l2_resel_g2w_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_resel_g2w_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_CCO_G2W_INDEX == ulFsm):
        for index in gas_gcomc_l2_cco_g2w_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_cco_g2w_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_SLAVE_MODE_LOW_PWR_INDEX == ulFsm):
        for index in gas_gcomc_l2_slave_mode_low_power_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_slave_mode_low_power_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_ANR_INDEX == ulFsm):
        for index in gas_gcomc_l2_anr_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_anr_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_REDIR_G2T_INDEX == ulFsm):
        for index in gas_gcomc_l2_redir_g2t_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_redir_g2t_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_UTRAN_MODE_INDEX == ulFsm):
        for index in gas_gcomc_l2_utran_mode_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_utran_mode_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_G_NETSCAN_G_INDEX == ulFsm):
        for index in gas_gcomc_l2_g_netscan_g_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_g_netscan_g_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_G_NETSCAN_W_INDEX == ulFsm):
        for index in gas_gcomc_l2_g_netscan_w_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_g_netscan_w_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_W_NETSCAN_G_INDEX == ulFsm):
        for index in gas_gcomc_l2_w_netscan_g_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_w_netscan_g_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_PLMN_LIST_INDEX == ulFsm):
        for index in gas_gcomc_l2_plmn_list_srch_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_plmn_list_srch_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_PLMN_SPEC_SRCH_INDEX == ulFsm):
        for index in gas_gcomc_l2_plmn_spec_srch_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_plmn_spec_srch_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_GOOS_SRCH_INDEX == ulFsm):
        for index in gas_gcomc_l2_g_oos_srch_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_g_oos_srch_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_REDIR_G2W_INDEX == ulFsm):
        for index in gas_gcomc_l2_redir_g2w_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_redir_g2w_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_REDIR_G2G_INDEX == ulFsm):
        for index in gas_gcomc_l2_redir_g2g_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_redir_g2g_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_WOOS_SRCH_INDEX == ulFsm):
        for index in gas_gcomc_l2_woos_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_woos_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_REDIR_W2G_INDEX == ulFsm):
        for index in gas_gcomc_l2_redir_w2g_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_redir_w2g_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_CCO_W2G_INDEX == ulFsm):
        for index in gas_gcomc_l2_cco_w2g_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_cco_w2g_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_RESEL_W2G_INDEX == ulFsm):
        for index in gas_gcomc_l2_resel_w2g_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_resel_w2g_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_PLMN_GET_GEO_SRCH_INDEX == ulFsm):
        for index in gas_gcomc_l2_plmn_get_geo_srch_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_plmn_get_geo_srch_state_enum_table[index]
    elif ( MACRO_GCOMC_FSM_L2_FSM_RESEL_G2G_INDEX == ulFsm):
        for index in gas_gcomc_l2_resel_g2g_state_enum_table.keys():
            if index == ulState:
                return gas_gcomc_l2_resel_g2g_state_enum_table[index]
    else:
        return "GAS_GCOMC_L2_STATE_NULL"